<?php
/**
 * Recursive DomNode iterator
 *
 * Allows recursive iteration over a DomNodeList object.
 *
 * $Id: RecursiveDomNodeListIterator.php,v 1.1 2004/09/24 01:25:49 luckec Exp $
 *
 * @package     tgcSPL
 * @subpackage  Iterators
 * @author      Carsten Lucke <luckec@tool-garage.de>
 * @copyright   Carsten Lucke <luckec@tool-garage.de>
 */
 
/**
 * Recursive DomNode iterator
 *
 * Allows recursive iteration over a DomNodeList object.
 *
 * $Id: RecursiveDomNodeListIterator.php,v 1.1 2004/09/24 01:25:49 luckec Exp $
 *
 * @package     tgcSPL
 * @subpackage  Iterators
 * @access      public
 * @version     1.0.0
 * @author      Carsten Lucke <luckec@tool-garage.de>
 */
class tgcSPL_RecursiveDomNodeListIterator extends tgcSPL_DomNodeListIterator implements RecursiveIterator
{
    public function hasChildren()
    {
        return $this->nodeList->item($this->itemNo)->hasChildNodes();
    }
    
    public function getChildren()
    {
        return new tgcSPL_RecursiveDomNodeListIterator($this->nodeList->item($this->itemNo)->childNodes);
    }
}
?>
